using System;
using System.Collections.Generic;
using System.Text;
using GTANetworkAPI;
using ReallifeGamemode.Server.Core.API;
using ReallifeGamemode.Server.Types;

namespace ReallifeGamemode.Server.Core.RageMP
{
  public class RageTextLabelAPI : ITextLabelAPI
  {
    public ITextLabel CreateTextLabel(string text, Position position, float range, float size, Font font, API.Color color)
    {
      TextLabel textLabel = NAPI.TextLabel.CreateTextLabel(text, position.ToVector3(), range, size, (int)font, color.ToColor());

      return new RageTextLabel(textLabel);
    }
  }
}
